version: '3.8'
services:
  server:
    image: registry.vivas.vn/vietnam_text_moderation/vn-text-moderation
    volumes:
      - ./config.yaml:/src/config.yaml
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              device_ids: ['0']
              capabilities: [gpu]
    tty: true
    restart: always